## developers-reference 2.4.1.2

=== debian/changelog ===
developers-reference (2.4.1.2) frozen unstable; urgency=low

  * non-maintainer release
  * rebuilt since HTML versions of Chapters 1 and 2 were truncated
    (important bug, no number yet, bugs.debian.org isn't working;
    regardless, this should go in hamm because a broken developers
    reference won't win us many friends in hamm, and after all, it's just
    text, it can't hurt you.)
  * no content changes, except that the version number in the SGML file
    reflect this packages version number
  * debian/rule: clean is cleaner now

 -- Adam P. Harris <aph@debian.org>  Tue, 16 Jun 1998 01:35:39 -0400

developers-reference (2.4.1.1) frozen unstable; urgency=low

  * Orphaned package

 -- Christian Schwarz <schwarz@debian.org>  Thu, 14 May 1998 21:56:36 +0200

developers-reference (2.4.1.0) frozen unstable; urgency=low

  * New version numbering scheme:
  
    - The version numbers are independent of dpkg now, but all policy
      manuals (the Debian Policy Manual, the Debian Packaging Manual, and
      the Debian Developer's Reference) share the same version numbering
      scheme.
    
    - The first three digits of the version number specify the
      `Standards-Version.' This number is incremented with each policy
      change. The fourth digit represents the `patch-level,' which may
      differ between the manuals. 
  
      If only the patch-level digit is incremented, no changes in policy
      have been made, except bug fixes and clarifications. Packages only
      have to specify the first three digits of the version number in the
      `Standards-Version' field of their source packages.
  
  * Uploaded to frozen and unstable. This is a documentation-only
    package and the changes to the manual are relevant for hamm.

  * No changes to the Developer's Reference
  
 -- Christian Schwarz <schwarz@debian.org>  Mon, 13 Apr 1998 17:54:43 +0200

developers-reference (0.5) unstable; urgency=low

  * Changes to the Developer's Reference:
  
    - Changed section 1.2 Registering as a Debian developer:
      + signatures from formal certification service are _NOT_ accepted
        anymore
      + images of ID documents have to be PGP or RSA signed
      (as requested by James Troup)
  
    - Use current date instead of <date> in manual
    
  * Updated FSF's address (reported by Lintian)

 -- Christian Schwarz <schwarz@debian.org>  Sat,  7 Mar 1998 13:52:15 +0100

developers-reference (0.4) unstable; urgency=low

  * Changes to the Developer's Reference:

    - Renamed chapter 4 into `Package uploads'

    - New section 4.2.5 Uploading to the non-us server

    - Changed section 4.4 Interim releases:
      + non-maintainer releases should not close bugs
      + normal maintainer must at least read the patch provided with
        the non-maintainer release

    - New chapter 5 Handling bug reports:
      + when reporting more then 10 bugs on the same topic, a message
        has to be sent to debian-devel and the `maintonly' address
        should be used

    - Lots of typos fixed

  * Compressed SGML source code

  * Added support for doc-base to register the Developer's Reference
    to the online documentation systems dwww and dhelp

  * Upgraded to standards version 2.4.0.0 (no changes)
  
 -- Christian Schwarz <schwarz@debian.org>  Fri, 30 Jan 1998 21:58:34 +0100
  

developers-reference (0.3) unstable; urgency=low

  * Put lost sections from Policy Manual 2.1.3.3 back in:
      - Generating the changes file (for uploads)
      - Announcing package uploads
  * New section about Debian Mentors
  * debian/rules: Don't use debstd anymore
  * debian/rules: Compress changelog file (fixes:#15441)
  * Fixed link to WNPP list (fixes:#16201)
  * Added menu entry (fixes:#15708)
  
 -- Christian Schwarz <schwarz@debian.org>  Wed, 24 Dec 1997 13:54:33 +0100
  

developers-reference (0.2) unstable; urgency=low

  * New chapter about `The Debian Archive' describing the structure
    of our FTP server and the development process
  * Added note that new maintainers have to read the Social Contract
    and have to know where to find the Policy and Packaging Manuals
  * PGP key ring is not distributed via dpkg but in doc/ of the FTP
    server
  * Added note that cross posting between Debian lists is depreciated
  * New list of advantages why new packages should be discussed on
    debian-devel before they are uploaded
  * Added section about how packages are uploaded
  * Added note that the Security Managers may do interim releases without 
    contacting the maintainer
  * Removed chapter about bug tracking system (will be included in
    a new manual released soon)
  * Some minor changes
  * Include SGML source in package
  * Don't use `2-up' style for PostScript version
  * Upgraded to Standards 2.3.0.1

 -- Christian Schwarz <schwarz@debian.org>  Sun,  2 Nov 1997 20:53:26 +0100
  

developers-reference (0.1) unstable; urgency=low

  * Initial Release.

 -- Christian Schwarz <schwarz@debian.org>  Tue, 8 Jul 1997 00:19:49 +0200

Local variables:
mode: debian-changelog
End:
