=== debian/control ===
Source: developers-reference
Section: doc
Priority: extra
Maintainer: Debian QA <debian-qa@lists.debian.org>
Standards-Version: 2.4.1.0

Package: developers-reference
Architecture: all
Suggests: doc-base
Description: Debian Developer's Reference
 This package contains the Debian Developer's Reference.
 .
 Table of Contents:
 .
      1 Applying to Become a Maintainer 
      2 Internet Servers 
      3 The Debian Archive
      4 Package uploads
      5 Handling bug reports
