=== debian/rules ===
#!/usr/bin/make -f

package=developers-reference

build:
	$(checkdir)
	debiandoc2html developers-reference.sgml
	debiandoc2text developers-reference.sgml
	gzip -9 developers-reference.text
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -rf developers-reference.html
	-rm -rf developers-reference.text* 
	-rm -rf developers-reference.lout* lout.li
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	cp -a developers-reference.html debian/tmp/usr/doc/developers-reference/
	cp developers-reference.text.gz debian/tmp/usr/doc/developers-reference/
	cp developers-reference.sgml debian/tmp/usr/doc/developers-reference/
	gzip -9 debian/tmp/usr/doc/developers-reference/developers-reference.sgml
	cp debian/{copyright,changelog} debian/tmp/usr/doc/developers-reference/
	gzip -9 debian/tmp/usr/doc/developers-reference/changelog
	cp debian/menu debian/tmp/usr/lib/menu/developers-reference
	cp developers-reference.desc debian/tmp/usr/share/doc-base/developers-reference
	cp debian/{control,postinst,prerm} debian/tmp/DEBIAN/
	chmod +x debian/tmp/DEBIAN/{postinst,prerm}
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..
	debiandoc2ps -pa4 -1 -O developers-reference.sgml | gzip -9v > ../developers-reference.ps.gz
	dpkg-distaddfile -fdebian/files developers-reference.ps.gz byhand -
	GZIP=-9v tar zcf ../developers-reference.html.tar.gz developers-reference.html
	dpkg-distaddfile -fdebian/files developers-reference.html.tar.gz byhand -
	cp developers-reference.text.gz ..
	dpkg-distaddfile -fdebian/files developers-reference.text.gz byhand -

binary-arch:	checkroot build
	$(checkdir)
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
