## developers-reference 2.6.0

=== debian/changelog ===
developers-reference (2.6.0) frozen unstable; urgency=low

  * would be nice to sneak this into slink; it's just documentation!
  * Ch. "Porting and Being Ported": porter information broken out into it's
    own chapter, Sec. "Guidelines for Porter Uploads" and "When to do a
    source NMU if you are a porter" moved to this chapter; porter tool
    descriptions such as 'quinn-diff' moved to this section.  Sec. "Being
    Kind to Porters" added, with tips for how to avoid making problems for
    porters.
  * Ch. "Non-Maintainer Uploads (NMUs)": update for the new chapter, and
    tighten up the language a bit
  * Sec. "Monitoring bugs": add a little cron job to get an 'index maint'
    of outstanding bugs (closes Bug#31259), loosen language a tiny bit
    w.r.t. non-maintainers or submitters closing bugs (closes Bug#30394)
  * Sec. "Scope of This Document": point out that this file is not
    official policy
  * Ch. "Handling Bugs": renamed from "Handling Bug Reports", incorporate
    some suggestions from James Troup, namely, don't mail from your root
    account, don't close bugs via control@bugs.debian.org; break out new
    sections, "Submitting Bugs" and "Responding to Bugs"
  * Ch. "Overview of Debian Maintainer Tools": remove attribution for
    package maintainers, since I can't keep up; add entries for fakeroot
    and devscripts
  * Ch. "Maintaining Your Debian Information": new chapter, quite small
    right now; it mentions keyring-maint@debian.org for key modification,
    warns against putting private keys on multi-user machines, and talks
    about how to depart Debian gracefully
  * typo correction from Christian Hudon (closes Bug#32052)
  * menu file removed, obsoleted by doc-base file
  * parameterize some often-changing values with SGML entities, update
    number of available packages
  * use new way of notating multiple copyrights
  * change <tt> elements to <file> where appropriate

 -- Adam Di Carlo <aph@debian.org>  Thu, 11 Feb 1999 02:53:55 -0500

developers-reference (2.5.0.5) unstable; urgency=low

  * add version.ent to docdir, needed to reconstruct from SGML 
    (closes Bug#31034)

 -- Adam Di Carlo <aph@debian.org>  Tue, 29 Dec 1998 02:42:50 -0500

developers-reference (2.5.0.4) unstable; urgency=low

  * not officially released
  * more spelling corrections
  * s/ppc/powerpc/ (thanks, James Troup)

 -- Adam Di Carlo <aph@debian.org>  Fri, 18 Dec 1998 00:07:40 -0500

developers-reference (2.5.0.3) unstable; urgency=low

  * not officially released
  * Sec. "Removing a package from Incoming": tiny section added
  * some PGP-centricity removed
  * Sec. "Adopting a package": point out that hijacking packages is not ok 
  * Ch. "Non-Maintainer Uploads (NMUs) and Porters": change 'NMU' to
    'source NMU', 'port' to 'binary NMU', shorten the window for porters a
    tad; fix spelling; stress that non-maintainer patches must be
    non-disruptive and that aesthetic issues are not suitable for fixing
    by non-maintainers; other fixes as suggested by interested parties

 -- Adam Di Carlo <aph@debian.org>  Wed, 25 Nov 1998 00:01:27 -0500

developers-reference (2.5.0.2) frozen unstable; urgency=low

  * not officially released
  * maintainer name change (but it's still me)
  * Ch. "Non-Maintainer Uploads (NMUs) and Porters":  new chapter
    discussing NMUs and porters; Section "Interim Releases" integrated out
    of existance.  New TOC for this section is:
         * 6 Non-Maintainer Uploads (NMUs) and Porters
            + 6.1 Who can do a port or an NMU
            + 6.2 When to do a port or an NMU
                 o 6.2.1 When to do an NMU if you are a porter
            + 6.3 How to do an NMU
                 o 6.3.1 NMU version numbering
                 o 6.3.2 NMUs must create a changelog entry
                 o 6.3.3 NMUs must send patches, if any, to the BTS
                 o 6.3.4 Building the NMU
            + 6.4 Guidelines for Porters
  
  * Sec. "Maintainer changes": renamed to "Adopting a package" and moved
    to Chapter "Moving, Removing, Renaming, Adopting, and Orphaning
    Packages".
  * Sec. "Reporting lots of bugs at once": more forcefully deprecate this
    practice
  * Sec. "Adopting a package": mention that the BTS maintainer update can
    take a couple of weeks
  * Sec. "Overview of Debian Maintainer Tools": give credit where credit
    is due and attribute current maintainers; add `apt'; add `quinn-diff';
    add mention of as yet unreleased 'buildd' package, since I'm so
    excited about it and can't wait
  * Sec. "Removing packages": talk about how apt-cache can be used to look
    at reverse depends, a good step to take prior to removing a package
    from the archive
  * show *full* TOC, including sect2
  * of course the obligatory typo, grammar, and spelling corrections

  * Makefile: small changes to accomodate DDP autobuild
  * debian/dirs: obsolete, removed
  * debian/rules: use changelog date for SGML timestamping, not current date

 -- Adam Di Carlo <aph@debian.org>  Fri, 20 Nov 1998 12:27:53 -0500

developers-reference (2.5.0) frozen unstable; urgency=low

  * move to 3-level version number:
    top-level version number probably won't change for a whil, it is the
    "major", the second-level number means significant content changes,
    and the third-level change means corrections and minor improvements.
    Since this version has significant content changes, we are now 2.5.0.
    Since I'm going to put porter instructions in the next major rev, that
    will be 2.6.0...

  * use new <package> tag where appropriate (Ardo, you rock)
  * replace 'm86k' with 'm68k'
  * rename 'Whirlwind Tour of ...' section to 'Overview of ...' (suggested 
    by James Troup)
  * typos and "red-pen" corrections, fix cosmetic problems in PostScript
    version
  * remove the one case I use an URL fragment identifier, since
    debiandoc-sgml doesn't like it (bug filed against debiandoc-sgml)

