=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: developers-reference
 Section: doc
 Priority: extra
-Maintainer: Debian QA <debian-qa@lists.debian.org>
-Standards-Version: 2.4.1.0
+Maintainer: Adam Di Carlo <aph@debian.org>
+Standards-Version: 2.5.0
 
 Package: developers-reference
 Architecture: all
