## developers-reference 2.7.2

=== debian/changelog ===
developers-reference (2.7.2) frozen unstable; urgency=medium

  * I believe this should go into frozen because (a) it's only
    documentation, so it can't introduce RC bugs, and (b) it fixes an
    error which prevented it from building properly; however, whatever
    ftpmaster feels is best is fine
  *
  * include common.ent as well as version.ent 
    (closes: Bug#52582, Bug#48926)
  * debian/rules: fix build error caused by newer debiandoc-sgml; remove
    constitution.en.html, since that is now located in the doc-debian
    package (closes: Bug#54778, Bug#42014); don't compress .pdf file
  *
  * All changes below from Raphael Hertzog <hertzog@debian.org>
  *
  * Sec. "Uploading to master" and "Uploading to pandora": 
    explained dinstall -n (closes: Bug#45079)
  * Sec. "Picking a distribution": added reference to the debian-release
    team (closes: Bug#52906)
  * Sec. "Announcing package uploads": rewrote it to take care of the fact
    that dinstall is doing it automatically (closes: Bug#43877)
  * Sec. "Mailing lists": added a paragraph about debian-email
    (closes: Bug#40258)
  * Changed the "Maintaining Your Debian Information" into "Debian
    Developer's Duties" (closes: Bug#28908)
    - added a section about the LDAP database
    - added a section about the "on vacation" message
    - added a section about the coordination with upstream developers
      (closes: Bug#43878)
    - added a section about managing Release Critical bugs
    - added a section about Quality Assurance effort

 -- Adam Di Carlo <aph@debian.org>  Sun, 16 Apr 2000 23:24:33 -0400

developers-reference (2.7.1) unstable; urgency=low

  * Sec. "Registering as a Debian developer": we are transitioning away
    from non-free PGP -- remove allusions to non-free software such as
    PGPv2 or v5 insofar as possible; recommend use of DSS keys rather than
    RSA
  * Sec. "Maintaining Your Public Key": remove PGP-centric stuff
  * Sec. "When bugs are closed by new uploads": describe how to close bugs
    via a magic changelog entry (closes: Bug#43690)
  * Sec. "Generating the changes file": refer to Sec. "When bugs are
    closed by new uploads" for closing bugs via a changelog entry
  * developers-reference.sgml: re-enable RCS variables in CVS sources
  * debian/control,rules: dynamically generate the TOC in the package
    description from developers-reference.sgml

 -- Adam Di Carlo <aph@debian.org>  Sun, 12 Sep 1999 18:15:59 -0400

developers-reference (2.7.0) unstable; urgency=low

  * developers-reference.sgml: separated out language-independant elements
    into common.ent (not content changes); misc minor grammar changes
    throughout
  * doc-base: change section for *constitution* to Debian (not 'debian')
    (closes Bug#37392)
  * Sec. "Stable, unstable, and sometimes frozen": mention how old stable
    releases are available at archive.debian.org
  * Sec. "Uploading to pandora (non-us)" added, remove stale
    information about the old anonymous ftp area (closes Bug#39541);
    Sec. "Other Upload Queues" added about that upload queues, added
    samosa and master.debian.org.jp (closes Bug#37804)
  * Sec. "Yada": mention that yada might not be as robust as other package
    producing systems, at request of the author; Sec. "equivs" added
  * Sec. "Moving packages": at the request of Guy Maor, clarify that this
    procedure is for moving packages in sections (i.e., free, contrib)
    only
  * Sec. "Registering as a Debian developer": talk about RSA keys rather
    than PGP keys, since I think GPG can create/handle them now; mention
    that the official pkg maintainer address much match an ID on your key;
  * Sec. "Maintaining Your Public Key": beef up the warnings a bit; point
    to the PGP FAQ
  * Sec. "Mailing Lists, Servers, and Other Machines": clean up and
    clarify section; mention that all developers are expected to be
    subscribed to debian-private and debian-devel-announce
  * Sec. "Other Debian Machines": remove list of machines; point to
    http://www.debian.org/devel/machines instead
  * Sec. "Release code names": potato is 2.2
  * Sec. "Guidelines for Porter Uploads": talk about recompile only
    uploads and version numbers for this (i.e., foo_2.4-1.0.1), from a
    suggestion from James Troup
  * Sec. "buildd": mention andrea, and buildd.debian.org
  * Sec. "Removing packages": correct apt-cache usage
  * debain/rules: update standards to 3.0.1 -- since I'm not moving
    /usr/doc to /usr/share/doc yet, no changes were required except in the
    text here and there

 -- Adam Di Carlo <aph@debian.org>  Mon, 16 Aug 1999 23:29:45 -0400

developers-reference (2.6.8) unstable; urgency=low

  * when applying as a new user, the login name can be *eight* characters,
    not seven (thanks to Rafael Caetano dos Santos)

 -- Adam Di Carlo <aph@debian.org>  Fri, 21 May 1999 21:50:04 -0400

developers-reference (2.6.7) unstable; urgency=low

  * SGML'ish: normalize SGML elements, refill paragraphs (closes Bug#37987)
  * doc-base: change section to Debian -- hmm, this looks like a doc-base
    bug, really, but hey, who am I to refile bugs to another one of my own
    packages? (closes Bug#37392)
  * Ch. "Overview of Debian Maintainer Tools": new section for yada (um,
    someone who uses this should check my description), correct build ->
    debuild in the devscripts section (closes Bug#38053)

 -- Adam Di Carlo <aph@debian.org>  Fri, 21 May 1999 01:41:45 -0400

developers-reference (2.6.6) unstable; urgency=low

  * Sec. "The master server": note that problems on Debian ftp can be sent
    to ftpmaster@debian.org also
  * Secs. "Uploads via chiark" and "Uploads via erlangen": remove
    'cron-driven' (thanks Roman Hodek)
  * Sec. "Being Kind to Porters": typos corrected, note that binary-arch
    and binary-indep targets should work independantly (thanks Roman
    Hodek)
  * Sec. "buildd": remove erroneous reference to debbuild, reorganize the

