=== debian/control ===
Source: developers-reference
Section: doc
Priority: optional
Maintainer: Adam Di Carlo <aph@debian.org>
Standards-Version: 3.0.1

Package: developers-reference
Architecture: all
Suggests: doc-base
Description: Debian Developer's Reference
 This package contains the Debian Developer's Reference.
 .
 Table of Contents:
 .
