=== debian/changelog ===
developers-reference (2.11) unstable; urgency=low

  * Antoine Hulin:
    - some grammar corrections
    - update French translation
  * Martin Michlmayr:
    - changes in upload situation, not possible to remove from Incoming
      anymore; closes: #135559
    - also talk about dput a tiny bit
  * Adam Di Carlo:
    - Ch "Overview of Debian Maintainer Tools":
      - improve the intro
      - Charles Briscoe-Smith deprecates yada (I think new maintainers of
        that would be welcome)
      - debconf-doc mentioned for debconf
      - debhelper: don't talk about debmake; mention how to get info on the dh-* pkgs
      - dput: new section, closes: #129378
      - debootstrap: new section, closes: #129377
      - dpkg-dev-el: new section
      - other minor wording changes
    - Sec "Mailing Lists": where to find private archives, closes: #96780
    - Ch "Package uploads":
      - new Sec "Adding an entry to debian/changelog"
      - rename Sec "Announcing new packages" to "New packages"
    - crypto is in main, non-US is for patent restrictions, so:
      - excise some text from "Registering as a Debian developer"
      - changes in Sec "Uploading to ftp-master"
      - changes in Sec "Uploading to non-US"
  * old bugs closed out, closes: #110573

 -- Adam Di Carlo <aph@debian.org>  Sun,  7 Apr 2002 23:34:08 -0700

developers-reference (2.10.0) unstable; urgency=low

  * from Martin Michlmayr
    - update the "Applying to Become a New Maintainer" section, with
      review by Raphael Hertzog, closes: #133965
    - bugs closed in NMUs should uses 'closes' changelog entries,
      closes: #133951
    - developers are not required to subscribe to debian-private
      closes: #133955
    - some suggestions on places to use the proper term, Debian GNU/Linux,
      closes: #133953
    - fix some typos, closes: #133956
  * Adam Di Carlo:
    - frozen doesn't exist anymore, just testing; note, however, that
      there is a way to upload to 'woody-proposed-updates' -- if I can
      find some description of that, I'll document it; closes: #133948
    - minor build tweaks
    - minor cosmetics
    - isolate a few more language-independent bits
  * from Chris Tillman
    - change /usr/doc to /usr/share/doc, and typo in debian/copyright,
      closes: #126924

 -- Adam Di Carlo <aph@debian.org>  Sun, 24 Feb 2002 14:46:46 -0500

developers-reference (2.9.0) unstable; urgency=low

  * Josip Rodin: 
    - created a new subsection about uploading to stable, and elaborated
      about that subject
    - removed a stray sentence about stable from the paragraph about
      security uploads (which apply to all distributions equally)
    - replaced the nonexistent term "Security Manager" with "security officer"
    - uploading to stable and unstable is deprecated; updated the section
      about the experimental distribution; other fixes in the section
      talking about uploading to distributions
    - better organize some subsections in the section about package uploads
    - replaced some bogus <ftppath>s with <tt>s
    - noted how there is an upload queue on pandora, too
  * Antoine Hulin:
    - French translation updated
  * Adam Di Carlo:
    - normalize '--' as &mdash; for prettier output
    - integrate changes from James Troup, part of #102626
    - typo fix thanks to Mark Hodge

 -- Adam Di Carlo <aph@debian.org>  Sun, 21 Oct 2001 01:03:01 -0400

developers-reference (2.8.8) unstable; urgency=low

  * from Josip Rodin:
    - a few more strong words about sponsoring
    - started a	new chapter about the relationship between old and new
      developers

 -- Adam Di Carlo <aph@debian.org>  Fri, 20 Jul 2001 17:53:47 -0400

developers-reference (2.8.7) unstable; urgency=low

  * French updates
  * fix a typo in a link
  * dpkg-buildpackage -m<addr> flag was changed for -e<addr> when NMU'ing;
    update documentation accordingly
    closes: #101676
  * Matt Zimmerman fixes up some wording in the section talking about
    forwarding bugs upstream
    closes: #98312
  * provide proper l10n for SGML date entities; now we have &date-<LANG>
    entities which should be used
  * debian/rules: fixes for new debiandoc-sgml
  * debian/control: depend on debiandoc-sgml 1.1.48 or better

 -- Adam Di Carlo <aph@debian.org>  Thu, 21 Jun 2001 14:43:42 -0400

developers-reference (2.8.6) unstable; urgency=low

  * fix a typo, thanks to Antoine Hulin
  * French version: completely up-to-date now
  * Makefile: add a 'validate' target
  * prepare and ship "upstream" ChangeLog; move the debian changelog to
    changelog.Debian.gz
  * all versions: change the email address to use when orphaning
    closes: #93727

 -- Adam Di Carlo <aph@debian.org>  Fri, 13 Apr 2001 03:32:08 -0400

developers-reference (2.8.5) unstable; urgency=low

  * expunge references to the Debian Packaging Manual, which is now in the
    Policy
  * Japanese version: also comment out some references packaging manual;
    this translation needs updating
  * deny request to shut down non-maintainer bug maintenance bug closure
    practices (closes: Bug#88623)
  * add some advice about U.S. citizens uploading to non-US
    (closes: Bug#89694)
  * debian/control: Build-Depends should have been Build-Depends-Indep
  * French version: First complete translation of the Debian developer's
    reference guide.  Much work done by Antoine Hulin. Reviewed by Nicolas
    Bertolissio.
  * Portuguese version: work is started by Carlos Laviola, nothing
    included yet, however

 -- Adam Di Carlo <aph@debian.org>  Sun,  8 Apr 2001 01:25:51 -0400

developers-reference (2.8.4) unstable; urgency=low

  * debian/control: remove reference to obsolete packaging-manual package
    (closes: Bug#86505)
  * debian/control: fill in the description a bit more
  * doc-base: index.html corrected to be index.en.html
    (closes: Bug#85933)
  * Makefile: clean is cleaner

 -- Adam Di Carlo <aph@debian.org>  Sun, 25 Feb 2001 12:47:06 -0500


