=== debian/control ===
Source: developers-reference
Section: doc
Priority: optional
Maintainer: Adam Di Carlo <aph@debian.org>
Standards-Version: 3.2.1
Build-Depends-Indep: debiandoc-sgml (>= 1.1.48), tetex-bin, tetex-extra

Package: developers-reference
Architecture: all
Recommends: debian-policy
Suggests: doc-base
Description: Debian Developer's Reference
 This package contains the Debian Developer's Reference, a set of
 guidelines and best practices which has been established by for the
 community of Debian developers.
 .
 This package contains the English, as well as Japanese and French
 versions of the Developer's Reference.
 .
 Table of Contents (in English):
 .
