=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 
 # directory abstraction
 prefix		:= debian/tmp
-docdir		:= $(prefix)/usr/doc/$(package)
-sharedir	:= $(prefix)/usr/share/$(package)
+docdir		:= $(prefix)/usr/share/doc/$(package)
 docbasedir	:= $(prefix)/usr/share/doc-base
 
 # tool abstraction
@@ -21,44 +20,28 @@
 
 # version abstraction
 DEB_VERSION	:= $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//')
-# pretty-print the date
-DATE		:= $(shell LC_ALL=C date --date="`dpkg-parsechangelog | grep '^Date: ' | sed 's/^Date: *//'`" '+%d %B, %Y')
+DEB_DATE	:= $(shell dpkg-parsechangelog | sed -n 's/^Date: *//p')
+# pretty-print the date; I wish this was dynamic like the top-level makefile but oh well
+DATE_EN		:= $(shell LC_ALL=C     date --date="$(DEB_DATE)" '+%d %B, %Y')
+DATE_FR		:= $(shell LC_ALL=fr_FR date --date="$(DEB_DATE)" '+%d %B %Y')
+DATE_JA		:= $(shell LC_ALL=ja_JP date --date="$(DEB_DATE)" '+%x')
 
-# source depends -- check if these packages are installed
-SRC_DEPENDS	:= debiandoc-sgml lout psutils
+version.ent:	debian/changelog
+	:> version.ent
+	echo "<!entity version \"$(DEB_VERSION)\">" >> version.ent
+	echo "<!entity date-en \"$(DATE_EN)\">"     >> version.ent
+	echo "<!entity date-fr \"$(DATE_FR)\">"     >> version.ent
+	echo "<!entity date-ja \"$(DATE_JA)\">"     >> version.ent
 
-.PHONY: source-depends
-source-depends:
-	@set -e								;\
-	for dep in $(SRC_DEPENDS); do					\
-	    echo "checking if package \`$$dep' is installed..."		;\
-	    dpkg --get-selections | grep "$$dep\W\+install" ||	\
-		exit 1							;\
-	done
-	@echo "all source-depends seem to be installed, good"
-
-build:	developers-reference.sgml
+build:
 	$(checkdir)
-#	./debian/rules source-depends
-	rm -f version.ent
-	echo "<!entity version \"$(DEB_VERSION)\">" >> version.ent
-	echo "<!entity date    \"$(DATE)\">"        >> version.ent
-	nsgmls -wall -s -E20 $^		# check SGML syntax
-	debiandoc2html $^
-	debiandoc2text $^
-	debiandoc2latexpdf -p letter $^
+	$(MAKE)
 	touch build
 
 clean:
 	$(checkdir)
+	$(MAKE) clean
 	rm -f build
-	rm -rf developers-reference.html
-	rm -f developers-reference.txt* developers-reference.ps	\
-	  developers-reference.pdf developers-reference.lout* lout.li	\
-	  developers-reference.sasp* developers-reference.tex		\
-	  developers-reference.aux developers-reference.toc 		\
-	  developers-reference.idx version.ent
-	rm -f `find . -name "*~"`
 	rm -rf $(prefix)
 	rm -f debian/files* core debian/substvars
 
@@ -67,16 +50,19 @@
 	$(checkroot)
 	rm -rf $(prefix)
 	$(make_directory) $(prefix)/DEBIAN
-	$(make_directory) $(docdir) $(sharedir) $(docbasedir)
+	$(make_directory) $(docdir) $(docbasedir)
 
-	$(make_directory) $(docdir)/developers-reference.html
-	$(install_file) developers-reference.html/*			\
-		$(docdir)/developers-reference.html/
-	$(install_file) developers-reference.txt $(docdir)/
-	$(install_file) developers-reference.pdf $(docdir)/
-	$(install_file) developers-reference.sgml version.ent common.ent $(docdir)/
+	for dir in $(wildcard developers-reference*.html); do \
+		$(make_directory) $(docdir)/$$dir ;\
+		$(install_file) $$dir/*.html $(docdir)/$$dir/ ;\
+	done
+	$(install_file) developers-reference*.txt $(docdir)/
+	$(install_file) developers-reference*.pdf $(docdir)/
+	$(install_file) developers-reference*.sgml version.ent common.ent $(docdir)/
+
 	$(install_file) debian/copyright $(docdir)/
-	$(install_file) debian/changelog $(docdir)/
+	$(install_file) ChangeLog $(docdir)/changelog
+	$(install_file) debian/changelog $(docdir)/changelog.Debian
 	$(install_file) developers-reference.desc $(docbasedir)/$(package)
 
 #	 make sure control files are good
